Subject: Re: [PATCH -next] driver core: fix build for CONFIG_BLOCK=n

From: Randy Dunlap <[email-masked]>
Date: Thu, 23 Sep 2010 12:47:51 -0700

On Thu, 23 Sep 2010 12:16:29 -0700 Greg KH wrote:

> On Thu, Sep 23, 2010 at 11:15:41AM -0700, Randy Dunlap wrote:
> > On Tue, 21 Sep 2010 15:31:15 -0700 Greg KH wrote:
> > 
> > > On Mon, Sep 20, 2010 at 09:20:34AM -0700, Randy Dunlap wrote:
> > > > From: Randy Dunlap <[email-masked]>
> > > > 
> > > > Fix build when CONFIG_BLOCK is not enabled (since SEP-06).
> > > > Fixes these build errors:
> > > > 
> > > > drivers/base/core.c: In function 'get_device_parent':
> > > > drivers/base/core.c:622: error: 'block_class' undeclared (first use in this function)
> > > > drivers/base/core.c: In function 'device_add_class_symlinks':
> > > > drivers/base/core.c:712: error: 'block_class' undeclared (first use in this function)
> > > > drivers/base/core.c: In function 'device_remove_class_symlinks':
> > > > drivers/base/core.c:742: error: 'block_class' undeclared (first use in this function)
> > > > 
> > > > Signed-off-by: Randy Dunlap <[email-masked]>
> > > 
> > > This should no longer be needed with the next linux-next tree as the
> > > logic in this area has changed thanks to Andi's patch.
                                     ~~~~~~~~~~~~~~~~~~~~~~~

> > 
> > {sorry about resend, email problems}
> > 
> > 
> > Still seeing this build error. (linux-next 2010-0923)
> > Will you be merging some patch soon?
> 
> Not unless someone provides it.  I know of no valid user of the kernel
> that does not enable CONFIG_BLOCK, so I really doubt this will ever hit
> anyone in "real life" so it's _way_ down the list of things I have to do
> at the moment, sorry.

so what was your comment about Andi's patch (above)?

Do you have it?  Have you merged it?

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***